petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPPIPEGCRSetNprealloc

set the number of directions to preallocate with PIPEGCR

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEGCRSetNprealloc(KSP ksp,PetscInt nprealloc)

Logically Collective on ksp

### Input Parameters

| ksp | - the Krylov space context
| nprealloc | - the number of vectors to preallocate

### Options Database

-ksp_pipegcr_nprealloc <N> -

### See Also

KSPPIPEGCR, KSPPIPEGCRGetTruncationType(), KSPPIPEGCRGetNprealloc()

### Level

advanced

### Location

src/ksp/ksp/impls/gcr/pipegcr/pipegcr.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages